#delim ;
version 17.0;
*
 Create dataset result1
 with 1 obs per estimated model parameter.
 SSC packages required:
 dolog xauto parmest sencode sdecode keyby
*;

clear all;
set linesize 90;

*
Input data
*;
xauto, clear;
describe, full;

*
 Generate resultsset
*;
parmby "regress npm tons, vce(robust)",
  fast by(us) label
  escal(N) rename(es_1 N)
  format(estimate min* max* %8.3f p %-8.1e);
describe, full;
by us: list parmseq label parm N estimate min* max* p, noobs;

*
 Create improved model parameter variable
*;
sencode label, gsort(parmseq) gene(modparam);
lab var modparam "Model parameter";
drop parmseq parm label;
keyby us modparam;
by us: list modparam N estimate min* max* p, noobs;

*
 Create improved car origin variable
*;
sdecode us, gene(us2);
replace us2 = us2 + " (N=" + string(N) + ")";
sencode us2, gsort(us) replace;
keep us2 modparam estimate min* max* p;
keyby us2 modparam;
describe, full;
list us2 modparam estimate min* max* p, noobs;

*
 Save resultsset
*;
describe, full;
save result1, replace;

exit;
